{
	"format_version": "1.19.0",
	"animation_controllers": {
		"controller.animation.cc_fairytales.nessie.control": {
			"initial_state": "idle2",
			"states": {
				"idle2": {
					"animations": ["idle2"],
					"transitions": [
						{"swim2": "q.ground_speed > 1.0"},
						{"idle": "query.has_target"}
					],
					"blend_transition": 0.6
				},
				"swim2": {
					"animations": ["swim2"],
					"transitions": [
						{"idle2": "q.ground_speed < 0.5"},
						{"idle": "query.has_target"}
					],
					"blend_transition": 0.6
				},
				"idle": {
					"animations": ["idle"],
					"transitions": [
						{"swim": "q.ground_speed > 1.0"},
						{"idle2": "!query.has_target"},
						{"attack": "query.has_target && variable.attack_time > 0.0"}
					],
					"blend_transition": 0.3
				},
				"swim": {
					"animations": ["swim"],
					"transitions": [
						{"idle": "q.ground_speed < 0.5"},
						{"idle": "!query.has_target"},
						{"attack": "query.has_target && variable.attack_time > 0.0"}
					],
					"blend_transition": 0.3
				},
				"attack": {
					"animations": ["attack"],
					"transitions": [
						{"idle": "q.all_animations_finished"}
					],
					"blend_transition": 0.1
				}
			}
		}
	}
}